Subject: Re: [PATCH v2] ls-files: Add eol diagnostics

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 1 Nov 2015 09:43:29 +0100

On 31.10.2015 11:25, Matthieu Moy wrote:

>> ca:text-no-eol   wt:text-no-eol   t/t5100/empty
>> ca:binary        wt:binary        t/test-binary-2.png
>> ca:text-lf       wt:text-lf       t/t5100/rfc2047-info-0007
>> ca:text-lf       wt:text-crlf     doit.bat
>> ca:text-crlf-lf  wt:text-crlf-lf  locale/XX.po
> 
> I would spell the first "in" or "idx" (for "index"), not "ca" (for
> "cache"). I think we avoid talking about "the cache" these days even
> though the doc sometimes says "cached in the index" (i.e. use "cache" as
> a verb, not a noun).

Good point, I'd prefer "idx" over ca", too.

However, the commit message says "to check if text files are stored normalized in the *repository*", yet the output refers to the index / cache. Is there a (potential) difference between line endings in the index and repo? AFAIK there is not. Any I find it a bit confusing to refer to the index where, as e.g. for a freshly cloned repo the index should be empty, yet you do have specific line endings in the repo.

Long story short, how about consistently talking about line endings in the repo, and also using "repo" instead of "ca" here?

-- 
Sebastian Schuberth